- Qt 6.11
- Qt Graphs
- QML Types
- QtGraphs
- SplineSeries
- Qt Graphs | Commercial or GPLv3

# SplineSeries QML Type

SplineSeries presents data in spline graphs. More...

Import Statement: | `import QtGraphs`
Inherits: | XYSeries

- List of all members, including inherited members
- SplineSeries is part of Qt Graphs QML Types for 2D.

## Properties

- capStyle : Qt::PenCapStyle
- optimized : bool `(since 6.11)`
- width : real

## Signals

- capStyleChanged()
- optimizedChanged() `(since 6.11)`
- widthChanged()

## Detailed Description

The graph displays smooth spline segments that moves through all the points defined in the graph.

## Property Documentation

### capStyle : Qt::PenCapStyle

Controls the cap style of the line. Set to one of Qt.FlatCap, Qt.SquareCap or Qt.RoundCap. By default the cap style is Qt.SquareCap.

See also Qt::PenCapStyle.

### optimized : bool `[since 6.11]`

Sets the control point fitting of the spline. When enabled a Catmull-Rom implementation is used. By default optimized is set to false.

This property was introduced in Qt 6.11.

### width : real

The width of the line. By default, the width is 2.0.

## Signal Documentation

### capStyleChanged()

This signal is emitted when the spline series cap style changes.

Note: The corresponding handler is `onCapStyleChanged`.

### `[since 6.11]` optimizedChanged()

This signal is emitted when the spline series' optimized property is set.

Note: The corresponding handler is `onOptimizedChanged`.

This signal was introduced in Qt 6.11.

### widthChanged()

This signal is emitted when the spline series width changes.

Note: The corresponding handler is `onWidthChanged`.